Bug 439964 - [DejaVu-fonts] Alignment mismatch of dot accents.
[DejaVu-fonts] Alignment mismatch of dot accents.
Product: Fedora
Classification: Fedora
Component: dejavu-fonts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
: i18n
Depends On:
  Show dependency treegraph
Reported: 2008-03-31 23:43 EDT by Alexei Podtelezhnikov
Modified: 2008-06-29 06:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-29 06:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Watch the dots (80.34 KB, image/png)
2008-03-31 23:43 EDT, Alexei Podtelezhnikov
no flags Details
U+0178 and U+03AB (4.57 KB, image/png)
2008-04-01 09:53 EDT, Alexei Podtelezhnikov
no flags Details
Would you rather fix this or work on obsolete glyphs? (874 bytes, image/png)
2008-04-01 10:02 EDT, Alexei Podtelezhnikov
no flags Details

  None (edit)
Description Alexei Podtelezhnikov 2008-03-31 23:43:49 EDT
Dot accents have uneven height with different characters. See attachments.
This is similar to bug 240525 which was fixed for Liberation fonts.
DejaVu inherited this mis-feature-bug from Vera. I hope it will get fixed.
DejaVu team is aware of the issue, but is not making a "decision" on it for 
whatever reason.
Comment 1 Alexei Podtelezhnikov 2008-03-31 23:43:49 EDT
Created attachment 299825 [details]
Watch the dots
Comment 2 Caius Chance 2008-04-01 00:35:40 EDT
Hi, please use some photo editing softrware such as GIMP / Photoshop / etc to
confirm if the dots are really have uneven heights.

You'll see there are uneven heights on fixed liberation-fonts because of
'illusion' effects of human eyes (proved by dragging horizontal guide lines with
those softwares).

I need to see there are any resources for me to look into this bug. Fixing this
bug should be much easier then liberation-fonts as changes of l-f has been
relied on its manufacturer.
Comment 3 Ben Laenen 2008-04-01 07:17:25 EDT
We need to decide what to do about it. Diaeresis is usually at a different 
height wompared to the single dot above btw, and the latter is usually bigger 
as well. So actually the only thing which is incorrect in the screenshot is 
that the single dot above has different sizes and height.

It just happened because of different people making different glyphs, who had 
different ideas about it. It will get fixed, but needs time to do that 
properly, because you can see that all fonts are affected.
Comment 4 Alexei Podtelezhnikov 2008-04-01 09:53:34 EDT
Created attachment 299892 [details]
U+0178 and U+03AB
Comment 5 Alexei Podtelezhnikov 2008-04-01 09:54:31 EDT
Of course I used GIMP to prepare the first attachment with a few more to 
follow. I would strongly disagree that "diaeresis is usually at a different 
height..." It is more usual for fonts to be consistent with respect to this 
minute details. This is what makes a font rather than a collection of symbols.

I am surprised that DejaVu does not have an explicit and written out standard 
that regulates these minute details. This is probably the reason why it is so 
easy to find examples illustrated in images attached bellow.
Comment 6 Alexei Podtelezhnikov 2008-04-01 10:02:07 EDT
Created attachment 299893 [details]
Would you rather fix this or work on obsolete glyphs?
Comment 7 Nicolas Mailhot 2008-04-01 10:11:37 EDT
(In reply to comment #5)

> I am surprised that DejaVu does not have an explicit and written out standard 
> that regulates these minute details.

I suppose this is the kind of contribution the project would welcome.

> This is probably the reason why it is so 
> easy to find examples illustrated in images attached bellow.

Most font projects are one-man/one-organisation creations. So they don't need
any written standard, the designer mostly agrees with himself. DejaVu is a
rather unusual example of large community-created font and the associated
gouvernance is invented as needs are identified. Also as any FLOSS project
progress is incremental and little problems are fixed when reported.

While we are lucky to have one of the main designers replying in this ticket,
this is really something better discussed on the DejaVu mailing list (that
various experts follow).
Comment 8 Ben Laenen 2008-04-01 10:34:19 EDT
The different position of the diaresis compared to single dot above is what 
we've inherited from Bitstream Vera, I guess we can trust that Bitstream had 
some explicit and written out rules.

The letters with dot above accents were later added in DejaVu, and basically 
I've seen a lot of (professional) fonts behave quite differently with these 
dots (whatever you may say about what's usually done, test some fonts out 
first...), so I can quite easily understand that different developers in our 
project thought different things here. Basically, we don't have a mismatch 
either in DejaVu, we behave exactly the same as fonts like Tahoma, Arial, 
Minion or Myriad.

Anyway, what should happen is that the precomposed glyphs should display 
exactly the same as composed glyphs in the end, we're working to get that 
right, but it's a lot of work to do these things, as there are just thousands 
of these glyphs to check and fix.
Comment 9 Alexei Podtelezhnikov 2008-04-01 10:41:36 EDT
You are welcome to try to start this discussion on the DejaVu mailing list.
I tried to do it before about half a year ago and last month but was largely 
ignored. The developers were aware of these glitches since day one (as they 
are inherited from Vera) but prefer not to make a decision. They are very 
territorial (working on one particular Unicode page) and they don't care about 
glitches across the board. To fix this will require some agreement between 
them, which is apparently the bigest obstacle.
Comment 10 Bug Zapper 2008-05-14 04:29:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 11 Nicolas Mailhot 2008-06-29 06:48:15 EDT
Anyway, this needs to be discussed upstream and Fedora won't fork DejaVu on its own.

Note You need to log in before you can comment on or make changes to this bug.